Subject: bug#61413: [PATCH] Make warnings show a "warning" emoji instead of a stop-sign

From: Mauro Aranda <[email-masked]>
Date: Wed, 19 Feb 2025 14:49:33 -0300

Eli Zaretskii <[email-masked]> writes:

 >> Cc: [email-masked], Stefan Kangas <[email-masked]>,
 >> [email-masked],
 >>  Konstantin Kharlamov <[email-masked]>
 >> From: Kévin Le Gouguec <[email-masked]>
 >> Date: Wed, 19 Feb 2025 08:24:17 +0100
 >>
 >> Rudolf Adamkovič <[email-masked]> writes:
 >>
 >> So while I do find the current warnings-suppress emoji less-than-ideal
 >> aesthetically (as Stefan suggests, a theme-compliant SVG would look
 >> better¹), I remain convinced that the primary *functional* problem here
 >> is that help-echo bug.
 >>
 >> (Which I sent patches for earlier²; however, since no-one commented on
 >> those AFAICT, I suppose I am in the minority in considering this an
 >> immediate and obvious bug that needs addressing)
 >
 > Mauro, could you please help with reviewing the patches and
 > recommending which fix is in your opinion the best one?
 >

I'd vote for (b), the fallback.patch.  It improves the button
library and doesn't require changes in client code.

I think we'd like something similar for buttonize-region, so I wonder if
it's not better to do the change inside button--properties, though.